import QtQuick 2.3

Item {
    id: button
    width: parent.height; height: width
    enabled: (opacity === 0 || !visible) ? false : true
    clip: true

    signal clicked

    FlyTouchAnimation {
        anchors.margins: -parent.width * 0.2
        isRect: false
        mouseArea: mouseArea;
        backColor: root.getColorString(0x66, Qt.tint(styles.highlightColor, "#40000000"))
        frontColor: backColor
    }

//    Image {
//        id: img
//        width: Math.min(parent.height, parent.width) * 0.6; height: width
//        anchors.centerIn: parent
//        source: "qrc:/images/x.png"
//    }

    Text {
        width: Math.min(parent.height, parent.width) * 0.6; height: width
        anchors.centerIn: parent
        text: /*"\u274c" //*/"\u2716"
        color: styles.colors.white
        font.pixelSize: height * 0.8
        horizontalAlignment: Text.AlignHCenter; verticalAlignment: Text.AlignVCenter
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: button.clicked()
    }
}
