import QtQuick 2.3

Item {
    id: groupLabel

    property alias text: label.text
    property alias color: label.color
    property alias leftMargin: label.x
    property bool withButton: false
    property string buttonText: "+"
    signal clicked

    FlyLabel {
        id: label
        anchors { fill: parent; leftMargin: 10 * dpiRatio; bottomMargin: parent.height * 0.1 }
        font { pixelSize: height * 0.4; bold: true }
        fontSizeMode: Text.FixedSize;
        color: styles.highlightColor
        verticalAlignment: Text.AlignBottom
        elide: Text.ElideRight
    }

    Rectangle {
        anchors { top: parent.top; right: parent.right; bottom: bottomLine.top; topMargin: parent.height * 0.1 }
        width: 30 * dpiRatio
        color: mouseArea.pressed ? groupLabel.color : "transparent"
        visible: groupLabel.withButton; enabled: visible

        Text {
            anchors.fill: parent
            text: groupLabel.buttonText
            font.pixelSize: width; fontSizeMode: Text.HorizontalFit
            font.bold: true
            horizontalAlignment: Text.AlignHCenter; verticalAlignment: Text.AlignVCenter
            color: mouseArea.pressed ? styles.colors.white : groupLabel.color
        }

        MouseArea {
            id: mouseArea
            anchors.fill: parent
            onClicked: groupLabel.clicked()
        }
    }

    Rectangle {
        id: bottomLine;
        x: label.x + label.implicitWidth + 2
        anchors.bottom: label.bottom; anchors.bottomMargin: 4
        width: parent.width - x; height: 2; color: label.color
    }
}
