import QtQuick 2.3

Canvas {
    property var target

    property real depth: 4 * dpiRatio
    property color shadowColor: root.getColorString(0x55, styles.colors.black)

    anchors.fill: target

    onPaint: {
        if(lowEffects) return
        var ctx = getContext("2d");
        ctx.clearRect(0, 0, width, height);

        var grd = ctx.createLinearGradient(0, 0, 0, depth);
        grd.addColorStop(0, shadowColor); grd.addColorStop(1, 'transparent');
        ctx.fillStyle = grd;
        ctx.fillRect(0, 0, width, depth);

        grd = ctx.createLinearGradient(width - depth, 0, width, 0);
        grd.addColorStop(0, 'transparent'); grd.addColorStop(1, shadowColor);
        ctx.fillStyle = grd;
        ctx.fillRect(width - depth, 0, depth, height);

        grd = ctx.createLinearGradient(0, height - depth, 0, height);
        grd.addColorStop(0, 'transparent'); grd.addColorStop(1, shadowColor);
        ctx.fillStyle = grd;
        ctx.fillRect(0, height - depth, width, depth);

        grd = ctx.createLinearGradient(0, 0, depth, 0);
        grd.addColorStop(0, shadowColor); grd.addColorStop(1, 'transparent');
        ctx.fillStyle = grd;
        ctx.fillRect(0, 0, depth, height);
    }

    Rectangle {
        anchors.fill: parent
        visible: lowEffects
        color: "transparent"
        border { width: 1; color: styles.colors.whiteC }
    }
}
