import QtQuick 2.3

FlyPage {
    id: lineEditPage

    property var selectFunction
    property alias line: lineEdit

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.width: Math.min(600 * dpiRatio, frontRect.parent.width)
    frontRect.height: Math.min(root.itemHeight * 4, frontRect.parent.height)

    titleImage.imagePath: lineEdit.echoMode === TextInput.Password
                          ? "image://ThemeImageProvider/dialog-password" : "image://ThemeImageProvider/draw-text"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    centerRectShadow: true

    okButtonEnabled: lineEdit.inputText.acceptableInput
    okFunction: convenienceSelectFunction

    focus: true

    function convenienceSelectFunction() {
        if(Qt.inputMethod) Qt.inputMethod.commit()
        lineEditPage.selectFunction(lineEdit.text)
    }

    FlyLineEdit {
        id: lineEdit
        width: centerRect.width - centerRect.width * 0.1
        anchors.centerIn: centerRect
        focus: true
        onEnterClicked: lineEditPage.closePage(true)
    }
}
