import QtQuick 2.3

FlyPage {
    id: listViewPage

    property var model: []

    property bool closeOnItemClick: true
    property alias enabledList: contactsListView.enabledList
    property alias currentIndex: contactsListView.currentIndex
    property alias deleteMode: contactsListView.deleteMode
    readonly property int maxLength: model.reduce(function(max, item){if(deleteMode) item = item[0]; return item.length > max ? item.length : max}, 0)
    signal itemDeleted(int index, string item)

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent // TODO maxLength * 12 is wrong!
    frontRect.width: Math.min(Math.max(maxLength * 12 * dpiRatio + 100 * dpiRatio, 300 * dpiRatio), frontRect.parent.width)
    frontRect.height: Math.min(model.length * root.itemHeight + 150 * dpiRatio, frontRect.parent.height)

    titleImage.imagePath: "qrc:/images/listview.png"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    centerRectShadow: true
    showOkButton: false

    FlyListView {
        id: contactsListView
        anchors.fill: centerRect
        list.model: listViewPage.model
        onClicked: closeOnItemClick ? listViewPage.closePage(true, index, item) : okFunction ? okFunction(index, item) : ""
        onItemDeleted: listViewPage.itemDeleted(index, item)
    }
}
