import QtQuick 2.3
import Fly.Components 1.0

Item {
    id: menuBackButton

    property bool rightBorder: false
    property int animationDuration: 350
    signal clicked(bool opened)

    function setState(st) {
        hamburger.state = st
    }

    Item {
        id: hamburgerRect // need this item to shadow work correctly
        anchors.fill: parent

        Item {
            id: hamburger
            anchors.centerIn: parent
            width: parent.width / 2
            height: parent.height / 2
            state: "menu"

            Rectangle {
                id: bar1
                width: parent.width
                height: parent.height * 0.2
                antialiasing: true; radius: 0
                color: enabled ? styles.colors.white : styles.colors.whiteC
            }

            Rectangle {
                id: bar2
                y: parent.height / 2 - height / 2
                width: parent.width
                height: parent.height * 0.2
                antialiasing: true; radius: 0
                color: enabled ? styles.colors.white : styles.colors.whiteC
            }

            Rectangle {
                id: bar3
                y: parent.height - height
                width: parent.width
                height: parent.height * 0.2
                antialiasing: true; radius: 0
                color: enabled ? styles.colors.white : styles.colors.whiteC
            }

            states: [
                State {
                    name: "menu"
                },

                State {
                    name: "back"
                    PropertyChanges { target: hamburger; rotation: 180 }
                    PropertyChanges { target: bar1; rotation: 45; width: hamburger.width * 0.66; x: hamburger.width * 0.46; y: hamburger.height * 0.335 - height / 2 }
                    PropertyChanges { target: bar3; rotation: -45; width: hamburger.width * 0.66; x: hamburger.width * 0.46; y: hamburger.height * 0.665 - height / 2 }
                }
            ]

            transitions: [
                Transition {
                    RotationAnimation { target: hamburger; direction: RotationAnimation.Clockwise; duration: menuBackButton.animationDuration; easing.type: Easing.InOutQuad }
                    PropertyAnimation { target: bar1; properties: "rotation, width, x, y"; duration: menuBackButton.animationDuration; easing.type: Easing.InOutQuad }
                    PropertyAnimation { target: bar3; properties: "rotation, width, x, y"; duration: menuBackButton.animationDuration; easing.type: Easing.InOutQuad }
                }
            ]
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            if(hamburger.state === "menu") {
                hamburger.state = "back"
                menuBackButton.clicked(true)
            } else {
                hamburger.state = "menu"
                menuBackButton.clicked(false)
            }
        }
    }
}
