import QtQuick 2.3

FlyPage {
    id: messagePage

    property alias message: label.text

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.width: Math.min(600 * dpiRatio, Math.min(frontRect.parent.width, frontRect.parent.height))
    frontRect.height: Math.min(Math.max(400 * dpiRatio, label.implicitHeight + 150 * dpiRatio), frontRect.parent.height)

    titleImage.imagePath: "image://ThemeImageProvider/dialog-information"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    showCancelButton: false

    FlyLabel {
        id: label
        anchors { left: centerRect.left; top: centerRect.top; right: centerRect.right; margins: 10 * dpiRatio }
        height: Math.min(messagePage.height - 150 * dpiRatio, implicitHeight)
        fontSizeMode: Text.FixedSize;
        elide: Text.ElideRight
        wrapMode: Text.Wrap
        text: ""
    }
}
