import QtQuick 2.3
import "calendar.js" as CalendarUtils

Grid {
    id: monthGrid
    columns: 7
    rows: 6

    property date showDate
    property int weekDayOfFirst: CalendarUtils.weekDayIdxByLocalizedDayName(showDate)

    function updateShowDate(newDate) {
        monthGrid.showDate = CalendarUtils.initDate(newDate, index, pathView.model, monthGrid.PathView.view.currentIndex)
    }

    Connections {
        target: monthGrid.PathView.view
        onUpdateMonthsShowDate: monthGrid.updateShowDate(newDate)
    }

    Repeater {
        id: dayRepeater
        width: parent.width; height: parent.height
        model: 7 * 6

        Text {
            width: dayRepeater.width / 7; height: dayRepeater.height / 6
            text: CalendarUtils.getDayOfMonth(showDate, index - weekDayOfFirst)
            font.pixelSize: height * 0.35
            horizontalAlignment: Text.AlignHCenter; verticalAlignment: Text.AlignVCenter
            color: CalendarUtils.getColorOfDay(showDate, index - weekDayOfFirst, styles)
        }
    }

    Component.onCompleted: updateShowDate(pathView.startDate)
}
