import QtQuick 2.3

FlyNotificationItem {
    id: notificationItem

    readonly property bool isError: !!_notification.dataMap["error"]

    height: root.itemHeight + description.height
    margin: root.itemHeight * 0.2
    caption.height: root.itemHeight
    caption.width: datetime.x - caption.x - 5
    icon.width: root.itemHeight * 1.6
    icon.imagePath: "image://ThemeImageProvider/" + (isError ? "mail-mark-important" : "mail")
    description.height: Math.max(root.itemHeight, Math.min(root.itemHeight * 6, description.implicitHeight + root.itemHeight * 0.25))
    description.y: root.itemHeight
    description.wrapMode: Text.Wrap
    description.font.pixelSize: root.itemHeight * 0.4

    function clicked() {
        // it will open chain if it exists
        var args = isError ? ["--show-settings"] : _notification.dataMap["emailId"] ? ["--show-letter", _notification.dataMap["emailId"]] : [];
        root.startDetachedProcess("fly-mail", args);

        return false; // close notification panel
    }

    FlyLabel {
        id: datetime
        anchors { top: parent.top; right: parent.right; rightMargin: margin }
        height: caption.height
        text: Qt.formatDateTime((_notification && _notification.dataMap["datetime"]
                                 ? new Date(_notification.dataMap["datetime"])
                                 : new Date()), "hh:mm")
        font.pixelSize: description.font.pixelSize;
        color: styles.label.colorDisabled
        verticalAlignment: Text.AlignVCenter
    }

    // TODO add actions ??
}
