import QtQuick 2.3

FlyNotificationItem {
    id: notificationItem

    caption.width: datetime.x - caption.x - 5
    icon.imagePath: "image://ContactImageProvider/"
                    + (_notification && _notification.dataMap["contactId"] ? _notification.dataMap["contactId"] : "")

    function clicked() {
        // it will open chain if it exists
        root.startDetachedProcess("fly-sms", (_notification.dataMap["phone"] ? ["--send-sms", _notification.dataMap["phone"]] : []))

        return false; // close notification panel
    }

    FlyLabel {
        id: datetime
        anchors { top: parent.top; right: parent.right; bottom: parent.verticalCenter; rightMargin: margin }
        text: Qt.formatDateTime((_notification && _notification.dataMap["datetime"]
                                 ? new Date(_notification.dataMap["datetime"])
                                 : new Date()), "hh:mm")
        font.pixelSize: description.font.pixelSize;
        color: styles.label.colorDisabled
        verticalAlignment: Text.AlignVCenter
    }

    // TODO add actions ??
}
