import QtQuick 2.3

Item {
    id: imageButton

    property alias backgroundColor: backgroundRect.color
    property alias source: image.imagePath
    property alias imageFillMode: image.imageFillMode
    property real margins: Math.min(width, height) * 0.1
    signal clicked

    FlyShadow {
        target: backgroundRect;
        horizontalOffset: mouseArea.pressed ? 0 : -1;
        verticalOffset: mouseArea.pressed ? 0 : 1;
        color: styles.shadows.darkColor
    }

    Rectangle {
        id: backgroundRect
        anchors.fill: parent
        color: mouseArea.pressed ? styles.buttons.colorDark : styles.buttons.colorLight

        FlyColoredImage {
            id: image
            anchors.fill: parent; anchors.margins: imageButton.margins
            imageFillMode: Image.PreserveAspectFit
            pressed: mouseArea.pressed
        }
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: imageButton.clicked()
    }
}
