import QtQuick 2.3

Item {
    id: separator

    property bool horizontal: true
    property bool triple: false
    property real marginRatio: 1.

    width: horizontal ? parent.width : 2
    height: horizontal ? 2 : parent.height

    Rectangle {
        x: horizontal ? (marginRatio < 1. ? (parent.width - width) / 2 : 0) : -1
        y: horizontal ? -1 : (marginRatio < 1. ? (parent.height - height) / 2 : 0)
        width: horizontal ? parent.width * marginRatio : 1
        height: horizontal ? 1 : parent.height * marginRatio
        color: styles.separator.colorLight
        visible: triple
    }

    Rectangle {
        x: (horizontal && (marginRatio < 1.)) ? (parent.width - width) / 2 : 0
        y: horizontal ? 0 : (marginRatio < 1. ? (parent.height - height) / 2 : 0)
        width: horizontal ? parent.width * marginRatio : 1
        height: horizontal ? 1 : parent.height * marginRatio
        color: styles.separator.colorDark
    }

    Rectangle {
        x: horizontal ? (marginRatio < 1. ? (parent.width - width) / 2 : 0) : 1
        y: horizontal ? 1 : (marginRatio < 1. ? (parent.height - height) / 2 : 0)
        width: horizontal ? parent.width * marginRatio : 1
        height: horizontal ? 1 : parent.height * marginRatio
        color: styles.separator.colorLight
    }
}
