import QtQuick 2.3

FlySettingsItem {
    id: settingsItem

    clickFuncOverride: true
    contentItem.width: width - checkbox.width
    mouseArea.onClicked: {
        itemData.value = !itemData.value

        if(itemData.clickFunc) itemData.clickFunc()
        if(itemData.settingsKey !== "" && itemData.settingsGroup !== "") {
            settings.setBool(itemData.settingsKey, itemData.value, itemData.settingsGroup)

            if(root.title === "flylaunchermain")
                settingsWindowNotifier.settingsChanged(
                            settingsWindowNotifier.settingsGroupToInt(itemData.settingsGroup), itemData.settingsKey, itemData.value)
        }
    }

    Item {
        id: checkbox
        anchors { top: parent.top; right: parent.right; bottom: parent.bottom }
        width: parent.height

        Rectangle {
            anchors.centerIn: parent
            width: parent.width * 0.4; height: width
            color: enabled ? itemData.value ? styles.highlightColor2 : styles.colors.whiteE : styles.colors.whiteA
            border { width: 1; color: styles.colors.whiteC }
            Behavior on color { ColorAnimation {} }

            Text {
                anchors.fill: parent
                text: "\u2713"
                color: enabled ? styles.label.color : styles.colors.gray6
                font.pixelSize: height
                horizontalAlignment: Text.AlignHCenter; verticalAlignment: Text.AlignVCenter
                opacity: itemData.value ? 1.0 : 0.0
                Behavior on opacity { NumberAnimation {} }
            }
        }
    }
}
