import QtQuick 2.3

FlySettingsItem {
    id: settingsItem
    clickFuncOverride: true
    contentItem.width: width - box.width
    mouseArea.onClicked: root.showColorPicker( {  "colorArray": root.getColorArrayString(itemData.value).split(":"),
                                                  "selectFunction":
                                                  function(c) {
                                                      itemData.value = Qt.rgba(c[0], c[1], c[2], c[3])
                                                      if(itemData.clickFunc) itemData.clickFunc()
                                                      if(itemData.settingsKey !== "" && itemData.settingsGroup !== "") {
                                                          settings.setString(itemData.settingsKey, root.getColorString(itemData.value), itemData.settingsGroup)
                                                          if(root.title === "flylaunchermain")
                                                              settingsWindowNotifier.settingsChanged(
                                                                          settingsWindowNotifier.settingsGroupToInt(itemData.settingsGroup),
                                                                          itemData.settingsKey,
                                                                          root.getColorString(itemData.value))
                                                      }
                                                  } } )

    Item {
        id: box
        anchors { top: parent.top; right: parent.right; bottom: parent.bottom }
        width: parent.height

        Image {
            anchors { fill:colorRect; margins: 1 }
            source: "qrc:/images/transparentTile.png"
            sourceSize: Qt.size(colorRect.width - 2, colorRect.height - 2)
            fillMode: Image.Tile
            horizontalAlignment: Image.AlignLeft; verticalAlignment: Image.AlignTop
        }

        Rectangle {
            id: colorRect
            anchors { fill: parent; margins: parent.height * 0.25 }
            color: itemData.value
            border { width: 1; color: styles.colors.whiteC }
        }

//        FlyLabel {
//            anchors { left: parent.horizontalCenter; top: parent.top; right: parent.right; bottom: parent.bottom; bottomMargin: parent.height * 0.1 }
//            text: '\u232a'
//            font.pixelSize: height * 0.4; font.pointSize: -1
//            color: styles.label.colorDisabled
//            horizontalAlignment: Text.AlignHCenter; verticalAlignment: Text.AlignVCenter
//        }
    }
}
