import QtQuick 2.3

FlySettingsItem {
    id: settingsItem
    clickFuncOverride: true
    mouseArea.onClicked: {
        root.showCalendar({
                              "title": itemData.name,
                              "currentDayChange": true,
                              "startDate": (itemData.value ? itemData.value.split(".").reverse().join("-") : new Date()),
                              "selectFunction": function(date) {
                                  itemData.value = Qt.formatDate(date, "dd.MM.yyyy")
                                  if(itemData.clickFunc) itemData.clickFunc()
                                  if(itemData.settingsKey !== "" && itemData.settingsGroup !== "") {
                                      settings.setString(itemData.settingsKey, itemData.value, itemData.settingsGroup)

                                      if(root.title === "flylaunchermain")
                                          settingsWindowNotifier.settingsChanged(
                                                      settingsWindowNotifier.settingsGroupToInt(itemData.settingsGroup),
                                                      itemData.settingsKey, itemData.value)
                                  }
                              } } )
    }
}
