import QtQuick 2.3

FlySettingsItem {
    id: settingsItem
    clickFuncOverride: true
    mouseArea.onClicked: {
        root.showLineEditPage({
                                  "title": itemData.name,
                                  "line.text": itemData.value,
                                  "line.echoMode": (itemData.isPassword ? TextInput.Password : TextInput.Normal),
                                  "selectFunction": function(value) {
                                      itemData.value = value
                                      if(itemData.clickFunc) itemData.clickFunc()
                                      if(itemData.settingsKey !== "" && itemData.settingsGroup !== "") {
                                          settings.setString(itemData.settingsKey, itemData.value, itemData.settingsGroup)

                                          if(root.title === "flylaunchermain")
                                              settingsWindowNotifier.settingsChanged(
                                                          settingsWindowNotifier.settingsGroupToInt(itemData.settingsGroup),
                                                          itemData.settingsKey, itemData.value)
                                      }
                                  },
                                  "line.placeholderText": itemData.placeHolderText })
    }
}
