import QtQuick 2.3

FlySettingsItem {
    id: settingsItem
    clickFuncOverride: true
    mouseArea.onClicked: {
        root.showSpinBoxPage(
                    {
                        "title": qsTr("Choose value"),
                        "prefix": itemData.prefix,
                        "suffix": itemData.suffix,
                        "selectFunction": function(value) {
                            itemData.value = value
                            if(itemData.clickFunc) itemData.clickFunc()
                            if(itemData.settingsKey !== "" && itemData.settingsGroup !== "") {
                                settings.setInt(itemData.settingsKey, itemData.value, itemData.settingsGroup)

                                if(root.title === "flylaunchermain")
                                    settingsWindowNotifier.settingsChanged(
                                                settingsWindowNotifier.settingsGroupToInt(itemData.settingsGroup), itemData.settingsKey, itemData.value)
                            }
                        }
                    }, itemData.minValue, itemData.maxValue, itemData.value)
    }
}
