import QtQuick 2.3
import QtGraphicalEffects 1.0

Item {
    property var target

    property alias source:          ds.source
    property alias radius:          ds.radius
    property alias samples:         ds.samples
    property alias color:           ds.color
    property alias horizontalOffset: ds.horizontalOffset
    property alias verticalOffset:  ds.verticalOffset
    property alias spread:          ds.spread
    property alias fast:            ds.fast
    property alias cached:          ds.cached
    property alias transparentBorder: ds.transparentBorder

    anchors.fill: target
    opacity: target.opacity
    visible: target.visible
    transformOrigin: target.transformOrigin
    scale: target.scale
    rotation: target.rotation

    DropShadow {
        id: ds
        anchors.fill: parent
        source: target
        horizontalOffset: 1
        verticalOffset: 2
        radius: 4
        samples: 8
        color: styles.shadows.color
        transparentBorder: true
        fast: true
        visible: !lowEffects;
    }

    Rectangle {
        id: lowEffectsRect
        anchors { fill: parent; margins: -1 } visible: lowEffects; color: styles.colors.whiteB
        Component.onCompleted: if("radius" in target) lowEffectsRect.radius = target.radius;
    }
}
