import QtQuick 2.3

FlyPage {
    id: spinBoxPage

    property var selectFunction
    property bool processValueOnChange: false

    property alias prefix: spinBox.prefix
    property alias suffix: spinBox.suffix

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.width: Math.min(600 * dpiRatio, Math.min(frontRect.parent.width, frontRect.parent.height))
    frontRect.height: frontRect.width

    titleImage.imagePath: "qrc:/images/listview.png"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    okFunction: convenienceSelectFunction

    function init(minValue, maxValue, curVal) {
        spinBox.minValue = minValue
        spinBox.maxValue = maxValue
        spinBox.init(curVal)
    }

    function convenienceSelectFunction() {
        spinBoxPage.selectFunction(spinBox.currentValue)
    }

    FlySpinBox {
        id: spinBox
        anchors.fill: centerRect
        onCurrentValueChanged: if(spinBoxPage.processValueOnChange) spinBoxPage.selectFunction(currentValue)
    }
}
