import QtQuick 2.3

FocusScope {
    id: textEdit

    property alias text: text.text
    property alias placeholderText: text.placeholderText
    property alias textColor: text.color
    property alias textSize: text.font.pixelSize
    property alias textFormat: text.textFormat
    property alias readOnly: text.readOnly

    property alias textRaw: text

    function setFocus() {
        text.forceActiveFocus()
    }

    Flickable {
        id: textEditFlickable
        anchors { fill: parent; margins: 10 }
        flickableDirection: Flickable.VerticalFlick
        contentHeight: text.contentHeight
        clip: true

        FlyTextEditRaw {
            id: text
            width: textEditFlickable.width
            height: Math.max(contentHeight, textEditFlickable.height)
            flickable: textEditFlickable
        }
    }

    FlyScrollBar {
        anchors.fill: parent
        contentItem: textEditFlickable
    }
}
