import QtQuick 2.3

FlyPage {
    id: timePickerPage

    property bool simple: false
    property int hour: 0
    property int min: 0
    property int sec: 0

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.width: simple ? Math.min(frontRect.parent.width, 300 * dpiRatio) : frontRect.height * 0.9
    frontRect.height: Math.min((simple ? 500 : 700) * dpiRatio, Math.min(frontRect.parent.width, frontRect.parent.height))

    title: qsTr("Choose time")
    titleImage.imagePath: "image://ThemeImageProvider/clock"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false

    okFunctionCustomArgs: [timePickerLoader.item.time]

    Loader {
        id: timePickerLoader
        anchors.fill: centerRect
        source: simple ? "FlyTimePickerSimple.qml" : "FlyTimePicker.qml"
        onLoaded: {
            item.hour = hour;
            item.min = min;
            item.sec = sec;
        }
    }
}
