.pragma library

function initDate(origDate, index, modelSize, currentIndex) {
    var distance = (modelSize - 1) / 2
    var offset = currentIndex

    if(offset > distance)
        offset = offset - modelSize

    if(index > distance)
        index = index - modelSize

    index = index - offset
    if(index < -distance) {
        index = index + modelSize
    } else if(index > distance) {
        index = index - modelSize
    }

    return new Date(origDate.getFullYear(), origDate.getMonth() + index, 15)
}

function getDayOfMonth(date, offset) {
    var day = new Date(date)
    day.setDate(offset);
    return day.getDate();
}

function weekDayIdxByLocalizedDayName(dateObject) {
    var dayName = Qt.formatDateTime(dateObject, "dddd")

    var myDate = new Date(2012, 0, 2 + dateObject.getDate() - 1) // This was a Monday for sure.
    for(var i = 0; i < 7; i++){
        if(Qt.formatDateTime(myDate, "dddd" ) == dayName)
        {
            return i-1;
        }
        else{
            myDate.setDate(myDate.getDate() + 1)
        }
    }

    console.log("Error, calculation of weekday index failed.")
    return -1
}

function getColorOfDay(date, offset, styles) {
    var newDay = new Date(date)
    newDay.setDate(offset)

    if(newDay.getMonth() === date.getMonth()) {
        if((newDay.getDay() === 0) || (newDay.getDay() === 6)) {
            return styles.calendar.weekendDayColor
        } else {
            return styles.calendar.weekDayColor
        }
    } else {
        return styles.calendar.greyDayColor
    }
}

function doesYearAndMonthTheSame(date1, date2) {
    if(date1.getFullYear() !== date2.getFullYear())
        return false

    if(date1.getMonth() !== date2.getMonth())
        return false

    return true
}
